Get inactive passes for a team
1 min
POST
https://openapi.sine.co/v1/api/passes/
Query Parameters
- limitintegerDescriptionDefault100Minimum1Maximum1000
- nextstringDescription
Header Parameters
- x-sine-team-idstring<uuid>requiredDescriptionFormatuuid
Body Parameters
- bodyobjectDescription
- startDatestring<date-time>ExampleDescriptionFormatdate-time
- endDatestring<date-time>ExampleDescriptionFormatdate-time
- siteIdsuuid[]Description
- includeFormResponsesbooleanDescriptionDefaultfalse
Responses
200
- object
- recordsobject[]
- firstNamestringExample
- lastNamestringExample
- emailstringExample
- mobilestringExample
- companystringExample
- passTypestringExample
- entryTypestringExample
- sitestringExample
- durationintegerExample
- issuedTimestring<time>ExampleFormattime
- issuedDatestring<date>ExampleFormatdate
- statusstringExample
- pendingTimeintegerExample
- acceptedOrRejectedTimestring<time>ExampleFormattime
- acceptedOrRejectedBystringExample
- checkoutTimestring<time>ExampleFormattime
- checkoutDatestring<date>ExampleFormatdate
- hostFirstNamestringExample
- hostLastNamestringExample
- hostGroupstringExample
- zonestringExample
- notesstringExample
- checkInFormResponsesobject[]
- labelstring
- valuestring
- signOutFormResponsesobject[]
- labelstring
- valuestring
- nextstringExampleDescription
400
- objectExample
{ "code": "BAD_REQUEST", "message": "The request is invalid" }- codestringExampleDescription
- messagestringExampleDescription
401
- objectExample
{ "code": "UNAUTHORIZED", "message": "Invalid authentication credentials" }- codestringExampleDescription
- messagestringExampleDescription
403
- objectExample
{ "code": "FORBIDDEN", "message": "You are not allowed to access this information" }- codestringExampleDescription
- messagestringExampleDescription
404
- objectExample
{ "code": "SITE_NOT_FOUND", "message": "SiteNotFoundError" }- codestringExampleDescription
- messagestringExampleDescription
424
- objectExample
{ "code": "CONSUMER_ERROR", "message": "Unexpected error while communicating with downstream service, please try again" }- codestringExampleDescription
- messagestringExampleDescription
429
- objectExample
{ "code": "RATE_LIMITED", "message": "API rate limit exceeded" }- codestringExampleDescription
- messagestringExampleDescription
500
- objectExample
{ "code": "INTERNAL_SERVER_ERROR", "message": "Something went wrong, please try again later" }- codestringExampleDescription
- messagestringExampleDescription
curl
curl --request POST \
--url 'https://openapi.sine.co/v1/api/passes/?limit=100' \
--header 'accept: application/json' \
--header 'x-sine-team-id: string<uuid>'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-sine-team-id", "string<uuid>");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://openapi.sine.co/v1/api/passes/?limit=100", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://openapi.sine.co/v1/api/passes/?limit=100"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-sine-team-id': 'string<uuid>'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"records": [
{
"firstName": "Example",
"lastName": "Person",
"email": "[email protected]",
"mobile": "+61 491 570 006",
"company": "ExampleCo",
"passType": "Visitor",
"entryType": "SineWeb",
"site": "ExampleCo HQ",
"duration": 452,
"issuedTime": "08:35:02",
"issuedDate": "21/12/2025",
"status": "checked out",
"pendingTime": 60,
"acceptedOrRejectedTime": "09:35:02",
"acceptedOrRejectedBy": "[email protected]",
"checkoutTime": "17:06:54",
"checkoutDate": "21/12/2025",
"hostFirstName": "Example",
"hostLastName": "Host",
"hostGroup": "Management",
"zone": "GN.1",
"notes": "Swipe card provided",
"checkInFormResponses": [
{
"label": "",
"value": ""
}
],
"signOutFormResponses": [
{
"label": "",
"value": ""
}
]
}
],
"next": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6IjIwMjEwOTEyNCJ9.eyJzY29wZSI6IjZOb0pidnFzQ0xvVnRTQjM5QVgweW04S1FhQT0iLCJ2YWx1ZSI6eyJtb2RlIjoia2V5c2V0IiwibmV4dCI6IkpUZENKVEl5YkdsdGFYUWxNaklsTTBFeEpUSkRKVEl5YTJWNVEyOXNkVzF1VG1GdFpYTWxNaklsTTBFbE5VSWxNakp6ZEdGeWRFUmhkR1VsTWpJbE1rTWxNakpwWkNVeU1pVTFSQ1V5UXlVeU1tdGxlVlpoYkhWbGN5VXlNaVV6UVNVMVFpVXlNakl3TWpVdE1UQXRNakpVTURNbE0wRXhNeVV6UVRVeUxqUTBPVm9sTWpJbE1rTWxNakl6T1RZeE9UZzVOQzFoWmpFM0xUUXdPR1l0WVdSaE1TMWxPRGs1WTJGaE5EWmxaVGNsTWpJbE5VUWxNa01sTWpKdmNHVnlZWFJ2Y2lVeU1pVXpRU1V5TW14MEpUSXlKVEpESlRJeWMyOXlkRVJwY21WamRHbHZiaVV5TWlVelFTVXlNa1JGVTBNbE1qSWxOMFE9In0sImlhdCI6MTc2MTEwMzIxMiwiZXhwIjoxNzYxMTg5NjEyfQ.Gatx-pBB9jsiDlkMnTVsPNGlLbTmpUBCo-bAQpxA_fI"
}400
// Bad request
{
"code": "BAD_REQUEST",
"message": "The request is invalid"
}401
// Unauthorized
{
"code": "UNAUTHORIZED",
"message": "Invalid authentication credentials"
}403
// Forbidden
{
"code": "FORBIDDEN",
"message": "You are not allowed to access this information"
}404
// Resource not found
{
"code": "SITE_NOT_FOUND",
"message": "SiteNotFoundError"
}424
// Service dependency failed
{
"code": "CONSUMER_ERROR",
"message": "Unexpected error while communicating with downstream service, please try again"
}429
// Too many requests
{
"code": "RATE_LIMITED",
"message": "API rate limit exceeded"
}500
// Internal server error
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Something went wrong, please try again later"
}